Perl modules requirements for Linux server

KB ID: 2007
Products: Veeam Backup & Replication
Version: 6.x 7.x 8.x 9.x
Published:
Last Modified: 2016-10-12

Challenge

CentOS 7 in its default installation is missing Data::Dumper Perl module.
It needs to be installed (yum install perl-Data-Dumper).

Solution

Here is the full list of Perl modules that must be installed on Linux server:
 
constant
Carp
Cwd
Data::Dumper
Encode
Encode::Alias
Encode::Config
Encode::Encoding
Encode::MIME::Name
Exporter
Exporter::Heavy
File::Path
File::Spec
File::Spec::Unix
File::Temp
List::Util
Scalar::Util
Socket
Storable
threads

Besides mentioned modules you need to make sure your Perl installation supports 32-bit variables.

Here’s how you can tell if your installation of Linux/Perl would work with Veeam:

  • for 32-bit Perl the following command should be triggered from shell:
    perl -e "use integer;print 88864420<<8"
    and the output should be ‘1274455040’ if Perl installation supports 32-bit variables.
  • for 64 bit Perl the following command should be triggered from shell:
    perl -e "use integer;print 88864420<<8"
    and the output should be ‘22749291520’ if Perl installation supports 32-bit variables.

4 / 5 (8 votes cast)

Report a typo on this page:

Please select a spelling error or a typo on this page with your mouse and press CTRL + Enter to report this mistake to us. Thank you!

Orphus system